# render.cpp File Reference

Renderer. More...

`#include <unistd.h>`
`#include <sys/types.h>`
`#include <signal.h>`
`#include "render.h"`
`#include "target.h"`
`#include "canvas.h"`
`#include <ETL/handle>`
`#include <cassert>`
`#include "context.h"`
`#include "surface.h"`

## Defines

#define | SYNFIG_NO_ANGLE

## Functions

bool | synfig::parametric_render (Context context, Surface &surface, const RendDesc &desc, ProgressCallback *callback)
bool | synfig::render (Context context, Target_Scanline::Handle target, const RendDesc &desc, ProgressCallback *)
| Renders starting at context to target.
bool | synfig::render_threaded (Context context, Target_Scanline::Handle target, const RendDesc &desc, ProgressCallback *callback, int threads)

## Detailed Description

Renderer.

$Id$

## Define Documentation

#define SYNFIG_NO_ANGLE